#include <bits/stdc++.h>


using namespace std;
int main(int argc, char** argv) {

	long long int n;
	cin >> n;
	
	long long int k;
	cin >> k;
	
	long long int a1[n];//manje od 0
	long long int a2[n];//vece od 0
	long long int a0=k;
	long long int an=k;
	long long int amn=k;
	long long int b[n];
	long long int zamenjeni[n];
	for(long long int i=0;i<n;i++)
	{
		cin >> b[i];	
	}
	for(long long int i=0; i<n ; i++)
	{
		a1[i] = k;
		a2[i] = k;
	}
	
	long long int h=0;
	int brojac_zamenjenih = 0;
	for(long long int i=0 ; i<n ; i++)
	{   
		h=b[i];
		if(b[i]>0)
		{
			a2[h]=a2[h]-1;
			
			if(a2[h]==0)
			{
				zamenjeni[brojac_zamenjenih]=b[i];
				brojac_zamenjenih++;
			}	
		}
		if(b[i]<0)
		{
			a1[-h]=a1[-h]-1;
			
			if(a1[-h]==0)
			{
				zamenjeni[brojac_zamenjenih]=b[i];
				brojac_zamenjenih++;
			}	
		}
		if(b[i]==0)
		{
			a0--;
			if(a0==0)
			{
				zamenjeni[brojac_zamenjenih]=b[i];
				brojac_zamenjenih++;
			}
		}
		if(b[i]==n)
		{
			an--;
			if(an==0)
			{
				zamenjeni[brojac_zamenjenih]=b[i];
				brojac_zamenjenih++;
			}
		}
		if(b[i]==-n)
		{
			amn--;
			if(amn==0)
			{
				zamenjeni[brojac_zamenjenih]=b[i];
				brojac_zamenjenih++;
			}
		}	
	}
	
	cout << brojac_zamenjenih << "\n";
	for(long long int i=0 ; i<brojac_zamenjenih ; i++)
	{
		cout << zamenjeni[i] << " ";
	}
	
	return 0;
}